2

Instalando MACOS X Leopard en Dell D620

Hace tiempo que tengo un Dell D620 y ayer le pusé el MACOS X Leopard para probarlo, ya lo había intentado otras veces pero ayer conseguí que fuera todo, así que voy a explicar todo lo que hice a modo de guía para no olvidarme nunca de ningún paso.

Instalación

La versión que he usado es la Kalyway 10.5.1 que se puede encontrar fácilmente por ahí.

Lo primero que debemos hacer es deshabilitar el doble núcleo ya que el sistema es muy inestable y no podremos trabajar con él.

En la instalación seleccioné las dos opciones de Kernel Vanilla, y también cambié el BOOT gráfico por el MBR ya que sin esto no arranca.

Después de hacer estos cambios ya se puede instalar sin problemas

Intel Core 2 Dúo

Una vez instalado habilitaremos el doble núcleo para ello abriremos un terminal y haremos lo siguiente:

wunslov-laptop:~ wunslov$ sudo su
Password:
sh-3.2# cd /Library/Preferences/SystemConfiguration
sh-3.2# vi com.apple.Boot.plist

Editaremos el fichero y debajo de Kernel Flags pondremos cpus=1:

< ?xml version="1.0" encoding="UTF-8"? >
< !DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd" >
< plist version="1.0" >
< dict >
        < key >Kernel< /key >
        < string >mach_kernel< /string >
        < key >Kernel Flags< /key >
        < string >cpus=1< /string >
        < key >Timeout< /key >
        < string >5< /string >
< /dict >
< /plist >

Sonido Sigmatel 9221

El chipset de mi tarjeta de sonido es un Sigmatel 9221, tan sólo tenemos que usar el AppleHDAPatcher y aplicar el parche oportuno.

Aquí os dejo AppleHDAPatcher v1.12 y sigmatel9221.txt.

Relacionada: INSTALANDO MAC OS X 10.5.4 EN DELL D620.

  1. josema says:

    hola, tengo una D620, instale leopard 10.5.5 y no m toma mi ethernet broadcom, mi sonido sigmatel 92xx y mi wifi intel 3945. Pudiste hacer andar todo. No se bien como instalar los kext y luego arreglar los permisos. Si podes darme una mano agradecidisimo. Josema

  2. wunslov says:

    Hola,

    Yo probé varias versiones de MACOSX y sólo me funcionó con la Kalyway 10.5.1.

    Un saludo